org.springframework.cloud.dataflow.rest.support.jackson

## Class ISO8601DateFormatWithMilliSeconds

- java.lang.Object
- - java.text.Format
  - - java.text.DateFormat
    - - com.fasterxml.jackson.databind.util.StdDateFormat
      - - org.springframework.cloud.dataflow.rest.support.jackson.ISO8601DateFormatWithMilliSeconds

- All Implemented Interfaces:
    Serializable, Cloneable

      public class ISO8601DateFormatWithMilliSeconds
      extends com.fasterxml.jackson.databind.util.StdDateFormat

  Wrapper for the `StdDateFormat` to use `TimeZone` and `Locale` based constructor.
  Author:
    Gunnar Hillert, Daniel Serleg
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.text.DateFormat

      `DateFormat.Field`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.util.StdDateFormat

      `_lenient, _locale, _timezone, ALL_FORMATS, CALENDAR, DATE_FORMAT_RFC1123, DATE_FORMAT_STR_ISO8601, DATE_FORMAT_STR_PLAIN, DATE_FORMAT_STR_RFC1123, DEFAULT_LOCALE, DEFAULT_TIMEZONE, instance, PATTERN_ISO8601, PATTERN_PLAIN, PATTERN_PLAIN_STR`

    - ### Fields inherited from class java.text.DateFormat

      `AM_PM_FIELD, calendar, DATE_FIELD, DAY_OF_WEEK_FIELD, DAY_OF_WEEK_IN_MONTH_FIELD, DAY_OF_YEAR_FIELD, DEFAULT, ERA_FIELD, FULL, HOUR_OF_DAY0_FIELD, HOUR_OF_DAY1_FIELD, HOUR0_FIELD, HOUR1_FIELD, LONG, MEDIUM, MILLISECOND_FIELD, MINUTE_FIELD, MONTH_FIELD, numberFormat, SECOND_FIELD, SHORT, TIMEZONE_FIELD, WEEK_OF_MONTH_FIELD, WEEK_OF_YEAR_FIELD, YEAR_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ISO8601DateFormatWithMilliSeconds()`
    `ISO8601DateFormatWithMilliSeconds(TimeZone tz, Locale loc, Boolean lenient)`

  - ### Method Summary

    - ### Methods inherited from class com.fasterxml.jackson.databind.util.StdDateFormat

      `_clearFormats, _equals, _format, _formatBCEYear, _getCalendar, _parseAsISO8601, _parseDate, clone, equals, format, getDefaultTimeZone, getISO8601Format, getRFC1123Format, getTimeZone, hashCode, isColonIncludedInTimeZone, isLenient, looksLikeISO8601, parse, parse, parseAsISO8601, parseAsRFC1123, setLenient, setTimeZone, toPattern, toString, withColonInTimeZone, withLenient, withLocale, withTimeZone`

    - ### Methods inherited from class java.text.DateFormat

      `format, format, getAvailableLocales, getCalendar, getDateInstance, getDateInstance, getDateInstance, getDateTimeInstance, getDateTimeInstance, getDateTimeInstance, getInstance, getNumberFormat, getTimeInstance, getTimeInstance, getTimeInstance, parseObject, setCalendar, setNumberFormat`

    - ### Methods inherited from class java.text.Format

      `format, formatToCharacterIterator, parseObject`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ISO8601DateFormatWithMilliSeconds

          public ISO8601DateFormatWithMilliSeconds(TimeZone tz,
                                                   Locale loc,
                                                   Boolean lenient)

    - #### ISO8601DateFormatWithMilliSeconds

          public ISO8601DateFormatWithMilliSeconds()

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.